(def tk-version "1.1.0")
(def ks-version "1.0.0")
(def classifier-version "1.3.2")
(def rbac-svc-version "0.3.1")
(def activity-svc-version "0.1.11")

(defn deploy-info
  [url]
  {:url url
   :username :env/nexus_jenkins_username
   :password :env/nexus_jenkins_password
   :sign-releases false})

(defproject puppetlabs/redrover "0.1.0-SNAPSHOT"
  :description "Red rover, red rover, send the 3.3 classification data on over."
  :url "http://github.com/puppetlabs/redrover"
  :pedantic? :abort
  :dependencies [[org.clojure/clojure "1.7.0-alpha5"]
                 [org.clojure/tools.cli "0.3.1"]
                 [org.clojure/tools.logging "0.2.6"]
                 [org.clojure/java.jdbc "0.3.2"]
                 [cheshire "5.3.1"]
                 [chic-text "0.2.0"]
                 [clj-time "0.6.0"]
                 [clj-yaml "0.4.0"]
                 [aysylu/loom "0.5.0"]
                 [slingshot "0.10.3"]
                 [org.postgresql/postgresql "9.3-1100-jdbc41"]
                 [puppetlabs/certificate-authority "0.6.0" :exclusions [clj-time]]
                 [puppetlabs/classifier ~classifier-version]
                 [puppetlabs/http-client "0.4.0" :exclusions [commons-io]]
                 [puppetlabs/jdbc-util "0.1.0"]
                 [puppetlabs/pe-activity-service ~activity-svc-version] ;; FIXME: remove ASAP
                 [puppetlabs/trapperkeeper ~tk-version]
                 [puppetlabs/trapperkeeper-webserver-jetty9 "1.1.0"]] ;; FIXME: remove ASAP
  :profiles {:dev {:dependencies [[clj-http "0.7.9" :exclusions [org.apache.httpcomponents/httpclient]]
                                  [clojurewerkz/urly "1.0.0" :exclusions [com.google.guava/guava]]
                                  [me.raynes/conch "0.5.0" :exclusions [org.clojure/tools.macro]]
                                  [spyscope "0.1.3" :exclusions [[clj-time]]]
                                  [puppetlabs/trapperkeeper ~tk-version :classifier "test"]
                                  [puppetlabs/kitchensink ~ks-version :classifier "test"]
                                  [puppetlabs/classifier ~classifier-version :classifier "test"]
                                  [puppetlabs/pe-activity-service ~activity-svc-version]
                                  [puppetlabs/pe-rbac-service ~rbac-svc-version]
                                  [puppetlabs/pe-rbac-service ~rbac-svc-version :classifier "test"]
                                  [puppetlabs/pe-trapperkeeper-ldap-apacheds "0.2.9"
                                   :exclusions [bouncycastle/bcprov-jdk15 org.slf4j/slf4j-log4j12]]
                                  [puppetlabs/trapperkeeper-webserver-jetty9 "1.1.0"]]
                   :injections [(require 'spyscope.core)]}
             :ci {:plugins [[lein-pprint "1.1.1"]]}}
  :main puppetlabs.redrover.main
  :uberjar-name "pe-nc-migration-tool.jar"
  :repositories [["releases" "http://nexus.delivery.puppetlabs.net/content/repositories/releases/"]
                 ["snapshots" "http://nexus.delivery.puppetlabs.net/content/repositories/snapshots/"]]
  :deploy-repositories [["releases" ~(deploy-info "http://nexus.delivery.puppetlabs.net/content/repositories/releases/")]
                        ["snapshots" ~(deploy-info "http://nexus.delivery.puppetlabs.net/content/repositories/snapshots/")]])
